#pragma once
#include "Entity.h"
class CS_PeEnergyChargeFrom :
    public Entity
{
public:
    CS_PeEnergyChargeFrom(std::shared_ptr<Entity> parent, std::shared_ptr<Entity> from);
    void Step() override;
    bool DisappearDistance(float dstX, float dstY);
    float r = 0;
    std::weak_ptr<Entity> from;
};

void SetCS_PeEnergyChargeFrom(std::shared_ptr<Entity> parent, std::shared_ptr<Entity> from);